=== tests/aslts/src/runtime/collections/Identity2MS/abbu/Makefile ===
# abbu

ASLMODADD=	MAIN_ASLTS
AMLMOD= extra extra_aslts
COLL= ../..

ADD_ASLFLAGS=-vx 6152
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
