=== tests/aslts/src/runtime/collections/exceptions/exc/Makefile ===
# exc

AMLMOD= exc
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
