=== tests/aslts/src/runtime/collections/functional/region/Makefile ===
# region

AMLMOD= region
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
