=== tests/aslts/src/runtime/collections/bdemo/ACPICA/bdemo/Makefile ===
# bdemo

AMLMOD= bdemo
COLL= ../../..

ADD_ASLFLAGS=-vx 6152
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
