=== tests/aslts/src/runtime/collections/bdemo/ACPICA/bdemof/Makefile ===
# bdemof

AMLMOD= bdemof
COLL= ../../..

ADD_ASLFLAGS=-f
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
