=== tests/aslts/src/runtime/collections/complex/operand/tests/olocal/Makefile ===
# olocal

AMLMOD= olocal
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
