=== tests/aslts/src/runtime/collections/complex/operand/tests/oreftopackageel/Makefile ===
# oreftopackageel

AMLMOD= oreftopackageel
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
