=== debian/changelog ===
acpica-unix (20180105-1) unstable; urgency=medium

  * Upgrade to 20180105 upstream.
  * Refresh patches as needed.
  * Closes: #877547 -- added LC_TIME=C to debian/rules
  * Closes: #882292 -- test failues on mips (32,BE); used provided patch
    (thanks, James!)

 -- Al Stone <ahs3@debian.org>  Mon, 08 Jan 2018 13:48:36 -0700

acpica-unix (20171110-1) unstable; urgency=medium

  * Upgrade to 20171110 upstream.
  * Refresh patches as needed.
  * Closes: #877353 -- fix FTBS on mips64el

 -- Al Stone <ahs3@debian.org>  Mon, 20 Nov 2017 16:04:14 -0700

acpica-unix (20170929-2) unstable; urgency=medium

  * Added correction patch for big-endian systems only

 -- Al Stone <ahs3@debian.org>  Tue, 17 Oct 2017 15:37:30 -0600

acpica-unix (20170929-1) unstable; urgency=medium

  * Upgrade to 20170929 upstream.
  * Refresh patches as needed.

 -- Al Stone <ahs3@debian.org>  Fri, 06 Oct 2017 17:19:27 -0600

acpica-unix (20170831-1) unstable; urgency=medium

  * Upgrade to 20170831 upstream.
  * Refresh patches as needed.
  * Update to Standards-Version: 4.1.0

 -- Al Stone <ahs3@debian.org>  Thu, 07 Sep 2017 17:20:22 -0600

acpica-unix (20170728-1) unstable; urgency=medium

  * Upgrade to 20170728 upstream.
  * Repair all the big-endian issues (hopefully)
  * Consolidate and clean-up the patch set (reorganized, simplified,
    and got rid of some leftovers)

 -- Al Stone <ahs3@debian.org>  Fri, 18 Aug 2017 18:51:23 -0600

acpica-unix (20170303-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- Al Stone <ahs3@debian.org>  Tue, 04 Apr 2017 12:06:55 -0600

acpica-unix (20160930-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- Al Stone <ahs3@debian.org>  Tue, 04 Oct 2016 16:41:11 -0600
