=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export LC_TIME=C

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -Wall -fno-strict-aliasing

DESTDIR ?= debian/acpica-tools

VERSION = 20180105

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
else
	CC = gcc
endif


%:
	dh $@

override_dh_clean:
	dh_testdir
	dh_testroot

	# Commands to clean up after the build process.
	$(MAKE) clean
	rm -rf generate/unix/bin
	dh_clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Commands to install the package into debian/acpica-tools
	install -m 755 generate/unix/bin/iasl $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpibin $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpidump \
		       $(DESTDIR)/usr/bin/acpidump-acpica
	install -m 755 generate/unix/bin/acpiexec $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpihelp $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpinames $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpisrc $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpixtract \
	               $(DESTDIR)/usr/bin/acpixtract-acpica

	install -m 0644 debian/iasl.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpibin.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpidump.1 \
			$(DESTDIR)/usr/share/man/man1/acpidump-acpica.1
	install -m 0644 debian/acpiexec.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpihelp.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpinames.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpisrc.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpixtract.1 \
	                $(DESTDIR)/usr/share/man/man1/acpixtract-acpica.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C $(CURDIR) check CC=$(CC) OPT_CFLAGS="$(CFLAGS)"
endif

override_dh_auto_build:
	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)
