## acpica-unix 20180629

=== debian/changelog ===
acpica-unix (20180629-1) unstable; urgency=medium

  * Upgrade to 20180629 upstream
  * Refresh patches as needed
  * Add patch to aslcodegen.c to repair a little-endian change that breaks
    an existing big-endian change.  Closes: #902203
  * Reportedly, this upstream version has a repair for vbox.  Closes: #899318
  * Patch applied.  Closes: #886753.
  * Closes: #867381.  Update-alternatives has been working properly for
    quite some time now, so no changes are needed.

 -- Al Stone <ahs3@debian.org>  Sun, 08 Jul 2018 17:19:35 -0600

acpica-unix (20180531-1) unstable; urgency=medium

  * Upgrade to 20180531 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Thu, 21 Jun 2018 17:41:40 -0600

acpica-unix (20180508-1) unstable; urgency=medium

  * Upgrade to 20180508 upstream
  * Refresh patches as needed
  * Update Standards-Version to 4.1.4
  * Closes: #886753 -- bump debhelper compat to 10 the fix FTCBFS
    (thanks, Helmut!)

 -- Al Stone <ahs3@debian.org>  Tue, 15 May 2018 09:44:07 -0600

acpica-unix (20180427-1) unstable; urgency=medium

  * Upgrade to 20180427 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Mon, 14 May 2018 14:37:28 -0600

acpica-unix (20180313-1) unstable; urgency=medium

  * Upgrade to 20180313 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Sat, 12 May 2018 20:24:19 -0600

acpica-unix (20180209-1) unstable; urgency=medium

  * Upgrade to 20180209 upstream
  * Refresh patches as needed
  * CVE-2017-13693: operand cache leak in dsutils.c (patch from github
    applied)
  * CVE-2017-13694: acpi parse and parseext cache leak in psobjects.c 
    (patch from github applied)
  * CVE-2017-13695: operand cache leak in nseval.c (patch from github
    applied)
  * NOTE: all CVE patches are for acpica-tools ONLY; the kernel must be
    patched separately.
  * Clean up compiler warnings on some arches for string truncations
  * Clean up compiler warnings for pointer casting on other arches
  * Clean up lintian warning about update-alternatives

 -- Al Stone <ahs3@debian.org>  Fri, 16 Mar 2018 14:43:32 -0600
