=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: debhelper (>= 9.0), flex, bison
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10~), flex, bison
+Standards-Version: 4.1.4
 Vcs-Git: https://github.com/ahs3/acpica-tools.git
 Vcs-Browser: https://github.com/ahs3/acpica-tools
 Homepage: http://www.acpica.org
