=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20180105
+VERSION = 20180629
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -75,3 +75,6 @@
 
 override_dh_auto_build:
 	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)
+
+override_dh_auto_install:
+	dh_auto_install -- INSTALL='install --strip-program=true'
