## acpica-unix 20180810

=== debian/changelog ===
acpica-unix (20180810-1) unstable; urgency=medium

  * Upgrade to 20180629 upstream
  * Refresh patches as needed
  * Add manpage for acpiexamples

 -- Al Stone <ahs3@debian.org>  Sat, 15 Sep 2018 17:23:11 -0600
