=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20180629
+VERSION = 20180810
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -61,6 +61,7 @@
 	install -m 0644 debian/acpibin.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpidump.1 \
 			$(DESTDIR)/usr/share/man/man1/acpidump-acpica.1
+	install -m 0644 debian/acpiexamples.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpiexec.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpihelp.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpinames.1 $(DESTDIR)/usr/share/man/man1
