=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20180810
+VERSION = 20181003
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
