## acpica-unix 20181213

=== tests/aslts/src/runtime/collections/functional/bfield/Makefile ===
# bfield

AMLMOD= bfield
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
