=== tests/aslts/src/runtime/collections/functional/synchronization/Makefile ===
# synchronization

AMLMOD= synchronization
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
