=== tests/aslts/src/runtime/collections/complex/operand/tests/oarg/Makefile ===
# oarg

AMLMOD= oarg
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
