=== tests/aslts/src/runtime/collections/complex/result/tests/rcopyobject/Makefile ===
# rcopyobject

AMLMOD= rcopyobject
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
