=== tests/aslts/src/runtime/collections/complex/result/tests/roptional/Makefile ===
# roptional

AMLMOD= roptional
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
