## acpica-unix 20190509

=== tests/aslts/src/runtime/collections/bdemo/ACPICA/Makefile ===
# bdemo

MDIRS= bdemo bdemof

TOP= ../../../../..
include $(TOP)/Makefile.switch
