=== tests/aslts/src/runtime/collections/complex/misc/Makefile ===
# misc

AMLMOD= misc
COLL= ../..
ADD_ASLFLAGS+=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
