=== tests/aslts/src/runtime/collections/functional/control/Makefile ===
# control

AMLMOD= control
COLL= ../..

ADD_ASLFLAGS=-vx 6152 -vx 6163
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
