=== tests/aslts/src/runtime/collections/complex/operand/tests/olocal/Makefile ===
# olocal

AMLMOD= olocal
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install
