=== debian/changelog ===
acpica-unix (20190509-1) unstable; urgency=medium

  * Upgrade to 20190509 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Sat, 11 May 2019 16:58:48 -0600

acpica-unix (20190405-1) unstable; urgency=medium

  * Upgrade to 20190405 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 18:07:29 -0600

acpica-unix (20190329-1) unstable; urgency=medium

  * Upgrade to 20190329 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 16:39:58 -0600

acpica-unix (20190215-1) unstable; urgency=medium

  * Upgrade to 20190215 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 15:05:39 -0600

acpica-unix (20190108-1) unstable; urgency=medium

  * Upgrade to 20190108 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 14:29:15 -0600
