## acpica-unix 20200214

=== debian/changelog ===
acpica-unix (20200214-2) unstable; urgency=medium

  * Add patch for FACP defaults 
  * Add patches to accommodate future use of -fno-common by default
  * Add patches to work better with GCC being stricter about the use
    of strings and expecting null terminators
  * Add patch to properly allow a PCC Register() type
  * Closes: #886753 -- bumping debhelper compat to 10 did not fix the
    FTCBFS, so apply the patch provided so that strip is not done
    during make install (thanks, Helmut!)

 -- Al Stone <ahs3@debian.org>  Tue, 25 Feb 2020 19:23:36 -0700

acpica-unix (20200214-1) unstable; urgency=medium

  * Upgrade to 20200214 upstream 
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Tue, 18 Feb 2020 20:34:25 -0700

acpica-unix (20200110-1) unstable; urgency=medium

  * Upgrade to 20200110 upstream
  * Refresh patches as needed
  * Remove one patch already pulled in by upstream

 -- Al Stone <ahs3@debian.org>  Sat, 01 Feb 2020 17:17:41 -0700

acpica-unix (20191018-1) unstable; urgency=medium

  * Upgrade to 20191018 upstream
  * Refresh patches as needed
  * Broke out some patches that tend to be more fragile than others

 -- Al Stone <ahs3@debian.org>  Sat, 23 Nov 2019 12:12:21 -0700

acpica-unix (20190816-1) UNRELEASED; urgency=medium

  * Upgrade to 20190816 upstream
  * Refresh patches as needed
  * Add patch to fix incorrect exit from iasl
  * The template tests have since been subsumed by aslts.sh, so remove
    them as an independent test

 -- Al Stone <ahs3@debian.org>  Sat, 26 Oct 2019 17:09:09 -0600

acpica-unix (20190703-1) unstable; urgency=medium

  * Upgrade to 20190703 upstream
  * Refresh patches as needed
  * Update to latest Standards version
  * Closes: #933154 -- adopt the package from retired maintainer
  * Closes: #841238 -- the turbostat command has been moved to the
    linux-cpupower package; please install that package to get that
    command installed
  * Closes: #909340 -- the postinst scripts were fixed some time ago
    but this bug was not closed at that time, so close it now

 -- Al Stone <ahs3@debian.org>  Wed, 23 Oct 2019 19:27:11 -0600
